import json

from tqdm import tqdm


def file_open_test():
    file = open("data/test_data.json")
    __processor(file)


def file_open():
    file = open("data/IR_data_news_12k.json")
    __processor(file)


def __writer(doc_id, title, content, url):
    file = open(f"docs/{doc_id}.json", "w")
    dictionary = {
        "doc_id": doc_id,
        "title": title,
        "content": content,
        "url": url
    }

    json.dump(dictionary, file)


def __object_clear(lst):
    lst.clear()


def __processor(file):
    data = json.load(file)

    for i in tqdm(range(14000), desc="Splatted: "):
        obj_cnt = ''
        lst = list()

        try:
            for characters in data[f"{i}"]["title"]:
                lst.append(characters)
                obj_cnt = ''.join(lst)

            title = obj_cnt
            __object_clear(lst)

            for characters in data[f"{i}"]["content"]:
                lst.append(characters)
                obj_cnt = ''.join(lst)

            content = obj_cnt
            __object_clear(lst)

            for characters in data[f"{i}"]["url"]:
                lst.append(characters)
                obj_cnt = ''.join(lst)

            url = obj_cnt
            __object_clear(lst)

            __writer(i, title, content, url)
        except Exception as ignore:
            pass
